> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/clear-udelement.md).

# Clear-UDElement

Clear-UDElement supprime tous les éléments enfants d'un élément spécifié dans un tableau de bord PowerShell Universal, avec un comportement variant selon le type d'élément.

### Synopsis

Supprime tous les enfants de l'élément spécifié.

### Syntaxe

```powershell
Clear-UDElement [-Id] <String> [-Broadcast] [<CommonParameters>]
```

### Description

Supprime tous les enfants de l'élément spécifié. Cette applet de commande peut se comporter différemment selon le type d'élément parent.

### Paramètres

#### -Id

L'ID de l'élément à effacer.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Indique s'il faut effacer l'élément sur tous les clients connectés.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'information, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : Effacer un élément

```powershell
New-UDElement -Tag 'div' -Id 'clearElement1' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Clear-UDElement -Id 'clearElement1'
}
```

Efface un élément.

#### Exemple 2 : Diffusion

```powershell
New-UDElement -Tag 'div' -Id 'clearElement2' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Clear-UDElement -Id 'clearElement2' -Broadcast
}
```

Efface un élément et le diffuse à tous les tableaux de bord connectés.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/clear-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
